Bug 174453 - [update] devel/luafilesystem
[update] devel/luafilesystem
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Matthias Andree
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-15 14:20 UTC by fiziologus
Modified: 2013-01-20 03:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.64 KB, patch)
2012-12-15 14:20 UTC, fiziologus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fiziologus 2012-12-15 14:20:00 UTC
Update devel/luafilesystem to 1.5.0

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-15 14:20:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-12-15 14:20:08 UTC
Maintainer of devel/luafilesystem,

Please note that PR ports/174453 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174453

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 kelly.hays 2012-12-21 18:00:55 UTC
I approve the patch. If the submitter would like to take over
maintainership I approve that also, otherwise please retern the port
to the pool.

Thanks,
  Kelly Hays
Comment 4 Mark Linimon freebsd_committer 2012-12-21 18:56:37 UTC
State Changed
From-To: feedback->open

Maintainer approved.  Maintainer also wishes to give up maintainership.
Comment 5 Matthias Andree freebsd_committer 2012-12-31 11:19:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mandree

I'll take it.
Comment 6 Matthias Andree freebsd_committer 2013-01-17 23:47:28 UTC
The original maintainer has given up maintainership.
Would you like to take over maintainership of this port?
Comment 7 Matthias Andree freebsd_committer 2013-01-18 00:12:05 UTC
State Changed
From-To: open->feedback

Committed with minor changes. Now awaiting submitter's feedback whether 
he wants to become the new port's maintainer.
Comment 8 dfilter freebsd_committer 2013-01-18 00:12:13 UTC
Author: mandree
Date: Fri Jan 18 00:12:00 2013
New Revision: 310578
URL: http://svnweb.freebsd.org/changeset/ports/310578

Log:
  - Update to 1.5.0 [1].
  - Reset maintainer [2], awaiting submitter's feedback if he wants to
    become the new maintainer.
  - Convert header comments.
  - Add a MAKE_ARGS+= to help builds where LOCALBASE != PREFIX
  
  PR:		ports/174453 [1] [2, Kelly's reply]
  Submitted by:	Green Dog <fiziologus@gmail.com>

Added:
  head/devel/luafilesystem/files/
  head/devel/luafilesystem/files/patch-Makefile   (contents, props changed)
  head/devel/luafilesystem/files/patch-config   (contents, props changed)
Modified:
  head/devel/luafilesystem/Makefile   (contents, props changed)
  head/devel/luafilesystem/distinfo   (contents, props changed)

Modified: head/devel/luafilesystem/Makefile
==============================================================================
--- head/devel/luafilesystem/Makefile	Fri Jan 18 00:01:09 2013	(r310577)
+++ head/devel/luafilesystem/Makefile	Fri Jan 18 00:12:00 2013	(r310578)
@@ -1,41 +1,44 @@
-# New ports collection makefile for:   luafilesystem
-# Date created:                        28 Mar 2010
-# Whom:                                Kelly Hays <kelly.hays@jkhfamily.org>
-#
+# Created by: Kelly Hays <kelly.hays@jkhfamily.org>
 # $FreeBSD$
-#
 
 PORTNAME=	luafilesystem
-PORTVERSION=	1.4.2
+PORTVERSION=	1.5.0
 CATEGORIES=	devel
-MASTER_SITES=	http://luaforge.net/frs/download.php/3931/
+MASTER_SITES=	GH
 PKGNAMEPREFIX=	${LUA_PKGNAMEPREFIX}
 
-MAINTAINER=	kelly.hays@jkhfamily.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Library to access directory structure and file attributes
 
 LICENSE=	MIT
 
 USE_LUA=	5.1
 
+USE_GITHUB=	yes
+GH_ACCOUNT=	keplerproject
+GH_PROGECT=	${PORTNAME}
+GH_TAGNAME=	v${PORTVERSION}
+GH_COMMIT=	8ff2013
+
+ALL_TARGET=	lib
+
 PLIST_FILES=	%%LUA_MODLIBDIR%%/lfs.so
 PORTDOCS=	*
 
-do-build:
-	cd ${WRKSRC}/src && \
-		${CC} -O2 -Wall -fPIC -W -Waggregate-return \
-		-Wcast-align -Wmissing-prototypes -Wnested-externs \
-		-Wshadow -Wwrite-strings -pedantic -shared \
-		-o lfs.so lfs.c -I${LUA_INCDIR}
+MAKE_ARGS+=	INCS="-I${LOCALBASE}/include/${LUA_SUBDIR}"
 
-do-install:
-	@${INSTALL_PROGRAM} ${WRKSRC}/src/lfs.so ${LUA_MODLIBDIR}
+.include <bsd.port.options.mk>
 
-post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	(cd ${WRKSRC}/doc/us/ && ${COPYTREE_SHARE} \* ${DOCSDIR})
+post-patch:
+	${REINPLACE_CMD} -e \
+		"s|%%PREFIX%%|${PREFIX}| ; \
+		s|%%MODLIBDIR%%|${LUA_MODLIBDIR}| ; \
+		s|%%INCDIR%%|${LUA_INCDIR}|" ${WRKSRC}/config
 
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR} && \
+	${CP} ${WRKSRC}/doc/us/* ${DOCSDIR}
 .endif
 
 .include <bsd.port.mk>

Modified: head/devel/luafilesystem/distinfo
==============================================================================
--- head/devel/luafilesystem/distinfo	Fri Jan 18 00:01:09 2013	(r310577)
+++ head/devel/luafilesystem/distinfo	Fri Jan 18 00:12:00 2013	(r310578)
@@ -1,2 +1,2 @@
-SHA256 (luafilesystem-1.4.2.tar.gz) = 954d19f16d5f97cbd7b09893cbad7f42af44770930f5c1caec80d0b04547121a
-SIZE (luafilesystem-1.4.2.tar.gz) = 25408
+SHA256 (luafilesystem-1.5.0.tar.gz) = d748d796c513a3392b6e66e7ecd8477a9d3d364ddae8456d9b7502bb7c0abce8
+SIZE (luafilesystem-1.5.0.tar.gz) = 26672

Added: head/devel/luafilesystem/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/luafilesystem/files/patch-Makefile	Fri Jan 18 00:12:00 2013	(r310578)
@@ -0,0 +1,11 @@
+--- Makefile.orig	2009-10-21 00:54:35.000000000 +0400
++++ Makefile	2012-12-15 17:30:48.000000000 +0400
+@@ -12,7 +12,7 @@
+ lib: src/lfs.so
+ 
+ src/lfs.so: $(OBJS)
+-	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET; $(CC) $(CFLAGS) $(LIB_OPTION) -o src/lfs.so $(OBJS)
++	$(CC) $(CFLAGS) $(LIB_OPTION) -o src/lfs.so $T.o
+ 
+ install:
+ 	mkdir -p $(LUA_LIBDIR)

Added: head/devel/luafilesystem/files/patch-config
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/luafilesystem/files/patch-config	Fri Jan 18 00:12:00 2013	(r310578)
@@ -0,0 +1,31 @@
+--- config.orig	2009-10-21 00:54:35.000000000 +0400
++++ config	2012-12-15 17:36:31.000000000 +0400
+@@ -1,22 +1,22 @@
+ # Installation directories
+ 
+ # Default installation prefix
+-PREFIX=/usr/local
++PREFIX=%%PREFIX%%
+ 
+ # System's libraries directory (where binary libraries are installed)
+-LUA_LIBDIR= $(PREFIX)/lib/lua/5.1
++LUA_LIBDIR= %%MODLIBDIR%%
+ 
+ # Lua includes directory
+-LUA_INC= $(PREFIX)/include
++LUA_INC= %%INCDIR%%
+ 
+ # OS dependent
+ LIB_OPTION= -shared #for Linux
+ #LIB_OPTION= -bundle -undefined dynamic_lookup #for MacOS X
+ 
+-LIBNAME= $T.so.$V
++LIBNAME= $T.so
+ 
+ # Compilation directives
+ WARN= -O2 -Wall -fPIC -W -Waggregate-return -Wcast-align -Wmissing-prototypes -Wnested-externs -Wshadow -Wwrite-strings -pedantic
+ INCS= -I$(LUA_INC)
+-CFLAGS= $(WARN) $(INCS)
+-CC= gcc
++CFLAGS+= $(WARN) $(INCS)
++CC?= gcc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 dfilter freebsd_committer 2013-01-20 02:59:20 UTC
Author: mandree
Date: Sun Jan 20 02:59:12 2013
New Revision: 310671
URL: http://svnweb.freebsd.org/changeset/ports/310671

Log:
  Assign new maintainer fiziologus@gmail.com
  
  PR:		ports/174453
  Suggested by:	Kelly Hays

Modified:
  head/devel/luafilesystem/Makefile

Modified: head/devel/luafilesystem/Makefile
==============================================================================
--- head/devel/luafilesystem/Makefile	Sun Jan 20 02:55:48 2013	(r310670)
+++ head/devel/luafilesystem/Makefile	Sun Jan 20 02:59:12 2013	(r310671)
@@ -7,7 +7,7 @@ CATEGORIES=	devel
 MASTER_SITES=	GH
 PKGNAMEPREFIX=	${LUA_PKGNAMEPREFIX}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	fiziologus@gmail.com
 COMMENT=	Library to access directory structure and file attributes
 
 LICENSE=	MIT
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Matthias Andree freebsd_committer 2013-01-20 02:59:38 UTC
State Changed
From-To: feedback->closed

Submitter has agreed to assume maintainership, is assigned as new 
maintainer.